QuantLib: MarketModelPathwiseMultiProduct Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
MarketModelPathwiseMultiProduct Class Referenceabstract

market-model pathwise product More...

`#include <ql/models/marketmodels/pathwisemultiproduct.hpp>`

Inheritance diagram for MarketModelPathwiseMultiProduct:
[legend]

## Public Member Functions
virtual std::vector< Size > | suggestedNumeraires () const =0
virtual const EvolutionDescription & | evolution () const =0
virtual std::vector< Time > | possibleCashFlowTimes () const =0
virtual Size | numberOfProducts () const =0
virtual Size | maxNumberOfCashFlowsPerProductPerStep () const =0
virtual bool | alreadyDeflated () const =0
virtual void | reset ()=0
| during simulation put product at start of path
virtual bool | nextTimeStep (const CurveState &currentState, std::vector< Size > &numberCashFlowsThisStep, std::vector< std::vector< MarketModelPathwiseMultiProduct::CashFlow > > &cashFlowsGenerated)=0
| return value indicates whether path is finished, TRUE means done
virtual std::auto_ptr< MarketModelPathwiseMultiProduct > | clone () const =0
| returns a newly-allocated copy of itself

## Detailed Description

market-model pathwise product

This is the abstract base class that encapsulates the notion of a product: it contains the information that would be in the termsheet of the product.

It's useful to have it be able to do several products simultaneously. The products would have to have the same underlying rate times of course. The class is therefore really encapsulating the notion of a multi-product.

For each time evolved to, it generates the cash flows associated to that time for the state of the yield curve. If one was doing a callable product then this would encompass the product and its exercise strategy.

This class differs from market-model multi-product in that it also returns the derivative of the pay-off with respect to each forward rate